from django.utils.translation import gettext_lazy as _
from thx.admintools.formview_class.views import ThuxFormView

from thx.role.admin_forms import ExportRoleForm, ImportRoleForm
from thx.role.models import Role


class ImportRoleFormView(ThuxFormView):
    form_class = ImportRoleForm
    app_label = 'role'
    model_name = 'role'
    title = _('Import roles')
    app_title = _('role')
    model_title = _('Role')
    model = Role


class ExportRoleFormView(ThuxFormView):
    form_class = ExportRoleForm
    app_label = 'role'
    model_name = 'role'
    title = _('Export roles')
    app_title = _('role')
    model_title = _('Role')
    model = Role
