# -*- coding: utf-8 -*-
from ckeditor.widgets import CKEditorWidget
from django import forms
from django.utils.translation import gettext_lazy as _

from thx.role import models


class MenuAdminForm(forms.ModelForm):
    description = forms.CharField(widget=CKEditorWidget(), required=False)

    class Meta:
        fields = '__all__'
        model = models.Menu


class MenuTranslationAdminForm(forms.ModelForm):
    description = forms.CharField(widget=CKEditorWidget(), required=False)

    class Meta:
        fields = '__all__'
        model = models.MenuTranslation


class ImportRoleForm(forms.Form):
    file_name = forms.CharField(label=_('file name'), required=False)


class ExportRoleForm(forms.Form):
    file_name = forms.CharField(label=_('file name'), required=False)
    app_label = forms.CharField(label=_('app label'), required=False)
    model_name = forms.CharField(label=_('model name'), required=False)
    action = forms.CharField(label=_('action'), required=False)

    def do(self):
        file_name = self.cleaned_data['file_name']
        app_label = self.cleaned_data['app_label']
        model_name = self.cleaned_data['model_name']
        action = self.cleaned_data['action']


        # TODO
        # try:
        #     contacts = Role.objects.filter(last_name__icontains=last_name)
        #     return True, contacts
        # except Exception as e:
        #     return False, e
