# -*- coding: utf-8 -*-

from rest_framework import routers

from . import views

router = routers.SimpleRouter()
router.register(r'(?P<profile>\w+)/profile', views.ProfileViewSet)
router.register(r'(?P<profile>\w+)/role', views.RoleViewSet)
router.register(r'(?P<profile>\w+)/menu', views.MenuViewSet)
router.register(r'(?P<profile>\w+)/menu-translation', views.MenuTranslationViewSet)
urlpatterns = router.urls
